import {CUSTOM_ELEMENTS_SCHEMA, NgModule, NO_ERRORS_SCHEMA} from '@angular/core';
import {IonicPageModule} from 'ionic-angular';
import {MinePage} from "./mine";
import {NavbarComponent} from "../../components/navbar/navbar";
import {ComponentsModule} from "../../components/components.module";
import {MySupervisePage} from "./my-supervise/my-supervise";
import {MyVerifyPage} from "./my-verify/my-verify";
import {OperationPage} from "./operation/operation";
import {SetPage} from "./set/set";
import {PersonPage} from "./person/person";
import {ChangePasswordPage} from "./change-password/change-password";
import {SharePage} from "./share/share";

@NgModule({
    declarations: [
        MinePage,
        MySupervisePage,
        MyVerifyPage,
        OperationPage,
        SetPage,
        PersonPage,
        ChangePasswordPage,
        SharePage,
    ],
    imports: [
        IonicPageModule.forChild(MinePage),
        ComponentsModule,
    ],
    entryComponents: [
        NavbarComponent,
        MySupervisePage,
        MyVerifyPage,
        OperationPage,
        SetPage,
        PersonPage,
        ChangePasswordPage,
        SharePage
    ],
    schemas: [NO_ERRORS_SCHEMA]
})
export class MineModule {
}
